org.apache.poi.hssf.record.cf

## Class IconMultiStateFormatting

- java.lang.Object
- - org.apache.poi.hssf.record.cf.IconMultiStateFormatting

- All Implemented Interfaces:
    Duplicatable

      public final class IconMultiStateFormatting
      extends java.lang.Object
      implements Duplicatable

  Icon / Multi-State Conditional Formatting Rule Record.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconMultiStateFormatting()`
    `IconMultiStateFormatting(IconMultiStateFormatting other)`
    `IconMultiStateFormatting(LittleEndianInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconMultiStateFormatting` | `clone()` Deprecated.
    `IconMultiStateFormatting` | `copy()`
    `int` | `getDataLength()`
    `IconMultiStateFormatting.IconSet` | `getIconSet()`
    `Threshold[]` | `getThresholds()`
    `boolean` | `isIconOnly()`
    `boolean` | `isReversed()`
    `void` | `serialize(LittleEndianOutput out)`
    `void` | `setIconOnly(boolean only)`
    `void` | `setIconSet(IconMultiStateFormatting.IconSet set)`
    `void` | `setReversed(boolean rev)`
    `void` | `setThresholds(Threshold[] thresholds)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IconMultiStateFormatting

          public IconMultiStateFormatting()

    - #### IconMultiStateFormatting

          public IconMultiStateFormatting(IconMultiStateFormatting other)

    - #### IconMultiStateFormatting

          public IconMultiStateFormatting(LittleEndianInput in)

  - ### Method Detail

    - #### getIconSet

          public IconMultiStateFormatting.IconSet getIconSet()

    - #### setIconSet

          public void setIconSet(IconMultiStateFormatting.IconSet set)

    - #### getThresholds

          public Threshold[] getThresholds()

    - #### setThresholds

          public void setThresholds(Threshold[] thresholds)

    - #### isIconOnly

          public boolean isIconOnly()

    - #### setIconOnly

          public void setIconOnly(boolean only)

    - #### isReversed

          public boolean isReversed()

    - #### setReversed

          public void setReversed(boolean rev)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public IconMultiStateFormatting clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public IconMultiStateFormatting copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### getDataLength

          public int getDataLength()

    - #### serialize

          public void serialize(LittleEndianOutput out)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.